# IP地址配置命令
## a)IP地址配置命令
**IP地址配置命令有：**

- 　　ip address
- 　　show ip 

### i .  ip address
　　配置接口IP地址，同时设置网络掩码。目前已经不再严格区分A,B,C类IP地址，但是，不能使用多播地址和广播地址（主机部分全“1”）。除了以太网，其它类型的多个接口可以在同一个网段上。但是，以太网接口所配置的网段不能和其它任意类型的接口相同，除了无编号接口。一个接口上一般都可以配置一个主地址和无限多个从属地址。从属地址只能在配置了主地址后才可以配置，从属地址全部删除之后才可以删除主地址。系统本身生成的IP报文，如果上层应用没有指定源地址，交换机将使用发出接口上配置的与网关在同一网段上的IP地址作为报文的源地址，如果不能确定这个IP地址（例如接口路由），则采用发出接口的主地址。如果一个接口没有配置IP地址，而且也不是无编号接口（unnumbered 接口），则这个接口不处理IP报文。
　　如果要删除IP地址，或者停止某个接口对IP报文的处理，可以使用no ip address命令清除接口上的某个或所有IP地址。
　　**no ip address** *ip-address mask*
　　**no ip address** 

**参数**

| 参数  | 参数说明 |
| :------------ | :------------ |
| ip-address | IP地址。 |
|mask|IP 网络掩码。|

**缺省**

　　接口上不配置任何IP地址。 
**命令模式**
　　接口配置态 
**使用说明**
　　如果交换机在某个物理网段上配置了从属IP地址，其它同一物理网段上的系统也必须		配置相同逻辑网段的从属地址，否则容易很快就引起路由循环。
　　当使用OSPF协议时，要确保一个接口上的从属地址和它的主地址在同一个OSPF area中。 
**示例**
>　　ip address 202.0.0.1  mask 255.255.255.0
　　ii.show ip 
　　显示IP配置。
　　show ip 
  
**参数**
　　无
**命令模式**
　　管理态 
**使用说明**
**示例**
　　#show ip  
　　IP Address: 192.168.123.20
　　Subnet Netmask: 255.255.255.0
　　Default Gateway: 0.0.0.0