# 第1章   STP配置命令
## 1.1  STP配置命令
### 1.1.1   spanning-tree
**命令描述**
　　**spanning-tree
　　no spanning-tree**
　　启动缺省的生成树协议模式，或关闭生成树协议运行。
　　在端口配置模式下启用或禁用端口的STP。
**参数**
　　无
**缺省**
　　缺省启动STP模式。
**使用说明**
　　无
**命令模式**
　　全局配置模式
　　物理端口、聚合端口配置模式。
**示例**
　　无
### 1.1.2   spanning-tree mode 
**命令描述**
　　**spanning-tree mode {stp|rstp} 
　　no spanning-tree mode**
　　配置spanning-tree运行模式，no命令禁止STP运行。
**参数**

|参数|参数说明|
| :------------ | :------------ |
|stp|启动STP模式|
|rstp |启动RSTP模式。|

**缺省**
　　MSTP或RSTP
**使用说明**
　　无
**命令模式**
　　全局配置模式
**示例**
　　下面的命令将启动STP模式：
　　Switch(config)# spanning-tree mode rstp
　　Switch(config)#  
### 1.1.3   spanning-tree maximum-age
**命令描述**
　　spanning-tree maximum-age time 
　　no spanning-tree maximum-age  
　　配置STP BPDU的最大生存时间，no命令恢复到默认值。
**参数**
参数	参数说明
seconds 	BPDU最大生存时间。取值范围：6-40s。
**缺省**
　　20s
**使用说明**
　　无
**命令模式**
　　全局配置模式
**示例**
　　下面的命令将配置STP的最大生存时间为24秒：
　　Switch(config)# spanning-tree  maximum-age 24 
　　Switch(config)#
### 1.1.4   spanning-tree forward-delay
**命令描述**
　　spanning-tree forward-delay time 
　　no spanning-tree forward-delay   
　　配置转发时延，no命令恢复到默认值。
**参数**

|参数|参数说明|
| :------------ | :------------ |
|time|转发时延时间。取值范围：4-30seconds。|

**缺省**
　　15 seconds
**使用说明**
　　无
**命令模式**
　　全局配置模式
**示例**
　　下面的命令将配置STP的转发延时为20秒：
　　Switch(config)# spanning-tree forward-delay 20 
　　Switch(config)#
 
### 1.1.5   show spanning-tree
**命令描述**
　　show spanning-tree [<cr> | interface ] 
　　这条命令用来显示spanning-tree信息。
**参数**
参数	参数说明
interface	端口名称，比如X1/10, G1/1。
**缺省**
　　无
**说明**
　　显示spanning-tree状态。
**命令模式**
　　接口配置模式
**示例**
　　无