# 第1章   基本组播配置命令
## 1.1  基本组播配置命令
### 1.1.1   ip igmp snooping
　　配置启用igmp侦听，可使用ip igmp snooping命令。 
**参数** 
**缺省** 
　　无 
**命令模式** 
　　全局态 
**使用说明** 
　　启用igmp侦听。 
**示例** 
　　启用igmp侦听：
　　Switch(config)# ip igmp snooping
**相关命令** 
　　禁用igmp侦听：
　　Switch(config)# no ip igmp snooping
### 1.1.2   ip igmp version
　　配置igmp 版本。 
**参数** 
**缺省** 
　　无 
**命令模式** 
　　全局态 
**使用说明** 
**示例** 
　　配置IGMP版本为V2：
　　Switch(config)# ip igmp snooping version 2 
**相关命令**
### 1.1.3   ip igmp snooping report-suppression
　　配置igmp 侦听抑制报告开启。 
**参数** 
**缺省** 
　　无 
**命令模式** 
　　全局态 
**使用说明** 
**示例** 
　　配置igmp 侦听抑制报告功能开启：
　　Switch(config)# ip igmp snooping report-suppression
**相关命令**
　　配置igmp 侦听抑制报告功能禁用：
　　Switch(config)# noip igmp snooping report-suppression
### 1.1.4   ip igmp snooping forward-method
　　配置igmp 侦听转发算法。 
**参数**
　　**ip igmp snooping forward-method** *{mac|src-dst-ip}*

**缺省** 
　　无 
**命令模式** 
　　全局态 
**使用说明** 
**示例** 
　　配置igmp 侦听转发算法为src-dst-ip：
　　Switch(config)# ip igmp snooping forward-method src-dst-ip
**相关命令**
### 1.1.5   ip igmp snooping vlan 
　　配置igmp 侦听vlan。 
**参数**

|参数|参数说明|
| :------------ | :------------ |
|VLAN-LIST|取值范围：1 – 4094|
|fastleave|配置IGMP快速离开|
|last-member-query-interval|配置IGMP侦听成员查询间隔|
|querier|配置IGMP侦听查询器|
|response-time|配置IGMP侦听然应答时间|
|static-group|配置IGMP快速离开|

**缺省** 
　　无 
**命令模式** 
　　全局态 
**使用说明** 
**示例** 
　　配置igmp 侦听vlan 2快速离开：
　　Switch(config)# ip igmp snooping vlan 2 fastleave
**相关命令**
　　无