# 　第1章   端口镜像配置命令
## 1.1  端口镜像配置命令
端口镜像配置命令有：

- Mirror session <session id> destination 
- Mirror session <session id> source
### 1.1.1   Mirror session <session id> destination

**命令描述**
　　mirror session <session id> destination {interface g interface-id } 
　　配置镜像目的端口。
**参数** 
　　无
**缺省**
　　无
**说明** 
　　在全局配置模式下配置该命令。
**示例** 
　　将端口g 3作为端口g 4的输出镜像，模式为双向。 
　　Switch(config)# mirror session 1 source interface g 4 rx
　　Switch(config)# mirror session 1 source interface g 4 tx 
　　Switch(config)# mirror session 1 detination  interface g 3 allow-ingress
### 1.1.2   mirror session <session id> source 

**命令描述** 
　　mirror session <session id> source {interface g interface-id [, | -] [both | rx | tx ] } 
　　配置镜像源端口。
**参数**

|参数|参数说明|
| :------------ | :------------ |
|source|被镜像端口信息。|
|both - rx -  tx |要镜像的数据流。Rx表示只镜像输入数据，tx表示镜像输出数据，both表示输入输出数据。|

**缺省** 
　　无
**使用说明** 
　　在全局配置模式下配置该命令。
**示例**
　　将端口g 3作为端口g 4的输出镜像，模式为双向。 
　　Switch(config)# mirror session 1 source interface g 4 rx
　　Switch(config)# mirror session 1 source interface g 4 tx 
　　Switch(config)# mirror session 1 detination  interface g 3 allow-ingress