# 第1章   STP可选特性配置命令
## 1.1  STP可选特性配置命令
### 1.1.1   spanning-tree edge
**命令描述**
　　**spanning-tree edge**
　　**no spanning-tree edge** 
　　配置edge特性，no命令取消，全局配置命令。
　　配置edge特性，no命令取消，端口配置命令。
**参数**

|参数|参数说明|
| :------------ | :------------ |
|Bpdu filtering|启动bpdu过滤。|
|Bpdu flooding |启动bpdu泛洪保护。|

**缺省**
　　未启动
**说明**
　　edge特性使端口立刻进入Forwarding状态而无须经过状态变化过程。
　　配置edge之后，需要通过配置BPDU flooding或BPDU Filtering特性进行保护。
**命令模式**
　　全局、接口配置模式
**示例**
　　下面的命令将全局启动edge特性。 
　　Switch(config)# spanning-tree bpdu filtering
　　Switch(config)#
　　下面的命令将启动端口g1/1的特性。
　　Switch(config-if)# spanning-tree edge 
　　Switch(config-if)#  
### 1.1.2   spanning-tree bpdu
**命令描述**
　　**spanning-tree bpdu filtering**
　　**Spanning-tree bpdu flooding**
　　**no spanning-tree bpdu**
　　配置BPDU保护，no命令取消配置。
**参数**
　　无
**缺省**
　　未启动
**使用说明**
　　无
**命令模式**
　　全局模式
**示例**
　　下面的命令将在端口g1/1启动bpdu保护。 
　　Switch(config)# spanning-tree bpdu filtering
　　Switch(config)# spanning-tree bpdu flooding
### 1.1.3   spanning-tree tx-hold-count 
**命令描述**
　　**spanning-tree tx-hold-count** {time(1-10s)} 
　　**no spanning-tree tx-hold-count** 
　　配置发送跳数计数功能，no命令取消发送跳数计数功能。
**参数**
　　无
**缺省**
　　未启动。
**使用说明**
　　无
**命令模式**
　　全局配置模式
**示例**
　　下面的命令配置发送跳数计数为5跳。 
　　Switch(config)# spanning-tree tx-hold-count 5
　　Switch(config)#