# 第1章   网络管理配置命令
## 1.1  SNMP命令
**SNMP命令有**：
- snmp community
- snmp host 
- show snmp 

### 1.1.1   snmp community 

　　使用全局配置模式命令snmp community设定允许访问SNMP协议的团体访问字符串。该命令的no形式删除指定的团体字符串。
snmp community [name] [ro|rw]
no snmp community [name]
**参数**

|参数|参数说明|
| :------------ | :------------ |
|name|指定允许使用团体字符串访问SNMP代理的IP地址访问列表名字，最大长度为20个字符。|
|ro|团体名属性只读|
|rw|团体名属性读写|

**缺省**
　　缺省时，SNMP团体字符串对所有对象都允许只读权限。 
**命令模式**
　　全局配置态 
**使用说明**
　　无
**示例**
　　下面示例将字符串comaccess分配给SNMP，允许只读访问并指定IP访问列表allowed可以使用团体字符串。
　　switch (config)# snmp community comaccess 
　　下面示例删除了团体"comaccess"。 
　　switch (config)# no snmp community comaccess  
**相关命令**
　　无 
  
### 1.1.2   snmp host 

　　使用全局配置模式命令指定SNMP陷阱操作的接收方。使用该命令的no形式除去指定的主机。
　　**snmp host** *{<name> |<A.B.C.D> } version {1 |2C}* 
　　**no snmp host** *{<name> |<A.B.C.D> }*
**参数**

|参数|参数说明|
| :------------ | :------------ |
|name|主机的名称|
|A.B.C.D|主机ip地址|
|version|Snmp协议版本，可选V1和V2C|

**缺省**
　　缺省时该命令无效。不发送任何陷阱。如果不输入任何关键字的命令，缺省为发送所有陷阱类型。
**命令模式**
　　全局配置态
**使用说明**
　　如果不输入snmp host命令，则不发送陷阱。为了配置交换机来发送SNMP陷阱，必须使用snmp host命令。
　**示例**
　　下面示例使交换机使用团体字符串public向主机10.20.30.40发送所有类型的陷阱。 
　　switch (config)# snmp host 10.20.30.40 public 
　　Switch(config)# snmp host 1.11.1.1 version 2c test
  
### 1.1.3   show snmp 

　　使用命令show snmp监视SNMP团体信息和陷阱信息。 
　　**show snmp**
**参数** 
　　无
**缺省** 
　　无
**命令模式**
　　管理态
**使用说明** 
　　使用命令show snmp将列出SNMP团体信息和陷阱信息。 
**示例** 
　　下面示例列出SNMP团体信息和陷阱信息。 
　　switch #show snmp